Loading...
Searching...
No Matches
Opm::BlackOilFoamIntensiveQuantities< TypeTag, true > Class Template Reference

## Public Member Functions

void | foamPropertiesUpdate_ (const ElementContext &elemCtx, unsigned dofIdx, unsigned timeIdx)
| Update the intensive properties needed to handle polymers from the primary variables.
const Evaluation & | foamConcentration () const
Scalar | foamRockDensity () const
const Evaluation & | foamAdsorbed () const

## Protected Member Functions

Implementation & | asImp_ ()

## Protected Attributes

Evaluation | foamConcentration_
Scalar | foamRockDensity_
Evaluation | foamAdsorbed_

The documentation for this class was generated from the following file:

- opm/models/blackoil/blackoilfoammodules.hh